%define		gitcommit	a18ca48

Summary:	Python macros, which simplifies creation of RPM packages with Python software
Summary(pl.UTF-8):	Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
Name:		python-rpm-packaging
Version:	1
Release:	2%{?tld}
License:	GPL v2
Group:		Base
Source0:	https://github.com/rpm-software-management/python-rpm-packaging/archive/%{gitcommit}/%{name}-%{version}.tar.gz
# Source0-md5:	915891c1e0d04b6fc77d258b6201c181
Patch0:		x32.patch
Patch1:		noarch.patch
URL:		https://github.com/rpm-software-management/python-rpm-packaging
BuildRequires:	rpm-build >= 4.6
Requires:	python3
Requires:	python3-modules
Requires:	python3-packaging
Requires:	rpm
Provides:	rpm-pythonprov = 1:4.17
Obsoletes:	rpm-pythonprov < 1:4.17
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_rpmlibdir /usr/lib/rpm

%description
Python macros, which simplifies creation of RPM packages with Python
software.

%description -l pl.UTF-8
Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
Pythonie.

%prep
%setup -q -c
%{__mv} %{name}-%{gitcommit}*/* .
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/python,%{__python3},' scripts/pythondistdeps.py

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_rpmlibdir}/fileattrs

cp -p fileattrs/*.attr $RPM_BUILD_ROOT%{_rpmlibdir}/fileattrs
cp -p scripts/pythondistdeps.py $RPM_BUILD_ROOT%{_rpmlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_rpmlibdir}/pythondistdeps.py
%{_rpmlibdir}/fileattrs/python.attr
%{_rpmlibdir}/fileattrs/pythondist.attr
%changelog
* Sun Nov 06 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-rpm-packaging.git;a=log;h=master

* Wed Jun 08 2022 Jan Palus <atler@pld-linux.org> a32d87c
- R: python3-packaging instead of python3-setuptools; rel 2

* Tue May 24 2022 Jan Rękorajski <baggins@pld-linux.org> 2f38f31
- fetch source from a specific git commit, rel 1

* Sat May 21 2022 Jan Rękorajski <baggins@pld-linux.org> 9adfcce
- search also noarch paths for abi deps

* Thu Nov 11 2021 Jan Rękorajski <baggins@pld-linux.org> 9be8f98
- O: rpm-pythonprov to make updates seamless

* Tue Nov 09 2021 Jan Rękorajski <baggins@pld-linux.org> 7136189
- new, replaces rpm-pythonprov for rpm >= 4.17

